Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
OsiSolverResult Class Reference

Solver Result Class. More...

`#include <OsiSolverBranch.hpp>`

Collaboration diagram for OsiSolverResult:
[legend]

## Public Member Functions
Add and Get methods
void | createResult (const OsiSolverInterface &solver, const double *lowerBefore, const double *upperBefore)
| Create result. More...
void | restoreResult (OsiSolverInterface &solver) const
| Restore result. More...
const CoinWarmStartBasis & | basis () const
| Get basis. More...
double | objectiveValue () const
| Objective value (as minimization) More...
const double * | primalSolution () const
| Primal solution. More...
const double * | dualSolution () const
| Dual solution. More...
const OsiSolverBranch & | fixed () const
| Extra fixed. More...
Constructors and destructors
| OsiSolverResult ()
| Default Constructor. More...
| OsiSolverResult (const OsiSolverInterface &solver, const double *lowerBefore, const double *upperBefore)
| Constructor from solver. More...
| OsiSolverResult (const OsiSolverResult &rhs)
| Copy constructor. More...
OsiSolverResult & | operator= (const OsiSolverResult &rhs)
| Assignment operator. More...
| ~OsiSolverResult ()
| Destructor. More...

## Private Attributes
Private member data
double | objectiveValue_
| Value of objective (if >= OsiSolverInterface::getInfinity() then infeasible) More...
CoinWarmStartBasis | basis_
| Warm start information. More...
double * | primalSolution_
| Primal solution (numberColumns) More...
double * | dualSolution_
| Dual solution (numberRows) More...
OsiSolverBranch | fixed_
| Which extra variables have been fixed (only way==-1 counts) More...

## Detailed Description

Solver Result Class.

This provides information on a result as a set of tighter bounds on both ways

Definition at line 88 of file OsiSolverBranch.hpp.

## Constructor & Destructor Documentation

OsiSolverResult::OsiSolverResult | ( |  | ) |

Default Constructor.

OsiSolverResult::OsiSolverResult | ( | const OsiSolverInterface & | solver,
|  | const double * | lowerBefore,
|  | const double * | upperBefore
| ) |  |

Constructor from solver.

OsiSolverResult::OsiSolverResult | ( | const OsiSolverResult & | rhs | ) |

Copy constructor.

OsiSolverResult::~OsiSolverResult | ( |  | ) |

Destructor.

## Member Function Documentation

void OsiSolverResult::createResult | ( | const OsiSolverInterface & | solver,
|  | const double * | lowerBefore,
|  | const double * | upperBefore
| ) |  |

Create result.

void OsiSolverResult::restoreResult | ( | OsiSolverInterface & | solver | ) | const

Restore result.

const CoinWarmStartBasis& OsiSolverResult::basis | ( |  | ) | const
| inline

Get basis.

Definition at line 101 of file OsiSolverBranch.hpp.

double OsiSolverResult::objectiveValue | ( |  | ) | const
| inline

Objective value (as minimization)

Definition at line 107 of file OsiSolverBranch.hpp.

const double* OsiSolverResult::primalSolution | ( |  | ) | const
| inline

Primal solution.

Definition at line 113 of file OsiSolverBranch.hpp.

const double* OsiSolverResult::dualSolution | ( |  | ) | const
| inline

Dual solution.

Definition at line 119 of file OsiSolverBranch.hpp.

const OsiSolverBranch& OsiSolverResult::fixed | ( |  | ) | const
| inline

Extra fixed.

Definition at line 125 of file OsiSolverBranch.hpp.

OsiSolverResult& OsiSolverResult::operator= | ( | const OsiSolverResult & | rhs | ) |

Assignment operator.

## Member Data Documentation

double OsiSolverResult::objectiveValue_
| private

Value of objective (if >= OsiSolverInterface::getInfinity() then infeasible)

Definition at line 155 of file OsiSolverBranch.hpp.

CoinWarmStartBasis OsiSolverResult::basis_
| private

Warm start information.

Definition at line 157 of file OsiSolverBranch.hpp.

double* OsiSolverResult::primalSolution_
| private

Primal solution (numberColumns)

Definition at line 159 of file OsiSolverBranch.hpp.

double* OsiSolverResult::dualSolution_
| private

Dual solution (numberRows)

Definition at line 161 of file OsiSolverBranch.hpp.

OsiSolverBranch OsiSolverResult::fixed_
| private

Which extra variables have been fixed (only way==-1 counts)

Definition at line 163 of file OsiSolverBranch.hpp.

The documentation for this class was generated from the following file:

- /tmp/Cgl-0.60.2/Osi/src/Osi/OsiSolverBranch.hpp